Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Files Estimated time: 0.00 hour

Target version: 3.4.10   

Resolution: Fixed Affected version:  

Description

Deleting a version which has one or more attachments unexpectedly succeeds if no issues are associated with the version.

You can reproduce the problem with the following steps:

1. Create a new version

2. Open the "Files" tab in the project menu

3. Attach a file to the version

4. Delete the version. Attached files are deleted along with the version without warning

I think Redmine should not allow deleting a version with attachments.

The problem was originally reported by Karel Pičman in #1265#note-6. He also provided a patch.

Associated revisions

Revision 18008 - 2019-03-26 12:05 - Go MAEDA

Fix that deleting a version silently deletes its attachments (#31087).

Patch by Karel Pičman and Takenori TAKAKI.

Revision 18009 - 2019-03-26 15:39 - Go MAEDA

Merged r18008 from trunk to 4.0-stable (#31087).

Revision 18010 - 2019-03-26 15:41 - Go MAEDA

Merged r18008 from trunk to 3.4-stable (#31087).

History

#1 - 2019-03-25 03:48 - Go MAEDA

- Description updated

#2 - 2019-03-26 09:46 - Takenori TAKAKI

- File 31087.patch added

Go MAEDA wrote:

You can reproduce the problem with the following steps:

1. Create a new version

2. Open the "Files" tab in the project menu

3. Attach a file to the version

4. Delete the version. Attached files are deleted along with the version without warning

I think Redmine should not allow deleting a version with attachments.

 I could reproduce this problem on my environment. I also think that Redmine should not allow deleting the version with attachments.

I made a patch that added test code to the Karel Pičman's patch.

#3 - 2019-03-26 10:12 - Go MAEDA

2025-05-01 1/2

https://www.redmine.org/issues/1265#note-6
https://www.redmine.org/attachments/download/22618/versioned_files.patch


- Target version set to 3.4.10

Setting the target version to 3.4.10.

#4 - 2019-03-26 12:06 - Go MAEDA

- Subject changed from Deleting a version deletes files attached to the version without warning to Fix that deleting a version silently deletes its

attachments

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#5 - 2019-03-26 12:06 - Go MAEDA

- Subject changed from Fix that deleting a version silently deletes its attachments to Deleting a version silently deletes its attachments

#6 - 2019-03-26 15:41 - Go MAEDA

- Status changed from Resolved to Closed

Files

31087.patch 1.03 KB 2019-03-26 Takenori TAKAKI
